%define name	gammu
%define version	1.19.0
%define release	%mkrel 1

%define major 3
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary:		Mobile phones tools for Unix (Linux) and Win32
Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPLv2+
Group:			Communications
Source:			http://dl.cihar.com/gammu/releases/%{name}-%{version}.tar.bz2
URL:			http://www.gammu.org/
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
BuildRequires:		libbluez-devel cmake doxygen gettext-devel

%description
Gammu can do such things with cellular phones as making data calls,
updating the address book, changing calendar and ToDo entries, sending and
receiving SMS messages, loading and getting ring tones and pictures (different
types of logos), synchronizing time, enabling NetMonitor, managing WAP
settings and bookmarks and much more. Functions depend on the phone model.

%package -n %libname
Summary: Mobile phones tools for Unix (Linux) and Win32 (libraries)
Group: System/Libraries

%description -n %libname
Gammu can do such things with cellular phones as making data calls,
updating the address book, changing calendar and ToDo entries, sending and
receiving SMS messages, loading and getting ring tones and pictures (different
types of logos), synchronizing time, enabling NetMonitor, managing WAP
settings and bookmarks and much more. Functions depend on the phone model.

%package -n %libnamedev
Summary:		Headers and pkgconfig file for Gammu development
Group:			Development/Other
Requires:		%libname = %version
Provides:		libgammu-devel = %version-%release
Provides:		%name-devel = %version-%release
Obsoletes:		%mklibname -d gammu 0.0
Obsoletes:		%mklibname -d gammu 1.0

%description -n %libnamedev
This package contains the headers and pkgconfig file that programmers
will need to develop applications which will use libGammu.

%prep
%setup -q

%build
%cmake -DENABLE_SHARED=ON -DINSTALL_LIB_DIR=%{_lib}
%make

%install
rm -rf %{buildroot}
cd build
%makeinstall_std
cd -
%__mkdir_p %{buildroot}%{_sysconfdir}
%__sed -e 's|^port =.*$|port = /dev/ttyS0|' \
         -e 's|^connection =.*$|connection = dlr3|' \
         -e 's/
$//' \
         < docs/examples/config/gammurc > %{buildroot}%{_sysconfdir}/gammurc

%find_lang %name

%files -f %name.lang
%defattr(-,root,root)
%doc ChangeLog COPYING INSTALL README docs/examples
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/gammurc
%attr(0755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%doc docs/develop/*
%attr(0755,root,root) %{_libdir}/*.so
%{_includedir}/gammu
%{_libdir}/pkgconfig/gammu.pc

%clean
rm -rf %{buildroot}

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig


%changelog
* Wed Apr 16 2008 Funda Wang <fundawang@mandriva.org> 1.19.0-1mdv2008.1
+ Revision: 194541
- New version 1.19.0

* Thu Feb 07 2008 Funda Wang <fundawang@mandriva.org> 1.18.90-1mdv2008.1
+ Revision: 163359
- New version 1.18.90

* Wed Jan 30 2008 Funda Wang <fundawang@mandriva.org> 1.18.0-1mdv2008.1
+ Revision: 160290
- New version 1.18.0

* Sun Jan 27 2008 Funda Wang <fundawang@mandriva.org> 1.17.92-1mdv2008.1
+ Revision: 158583
- New version 1.17.92

* Sun Jan 06 2008 Funda Wang <fundawang@mandriva.org> 1.17.0-1mdv2008.1
+ Revision: 145928
- New version 1.17.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Funda Wang <fundawang@mandriva.org> 1.16.0-1mdv2008.1
+ Revision: 120515
- update to new version 1.16.0

* Tue Dec 04 2007 Funda Wang <fundawang@mandriva.org> 1.15.90-1mdv2008.1
+ Revision: 115295
- New version 1.15.90

* Tue Nov 20 2007 Funda Wang <fundawang@mandriva.org> 1.15.0-1mdv2008.1
+ Revision: 110747
- New version 1.50.0

* Thu Nov 08 2007 Funda Wang <fundawang@mandriva.org> 1.14.0-1mdv2008.1
+ Revision: 106896
- New version 1.14.0

* Sun Oct 28 2007 Funda Wang <fundawang@mandriva.org> 1.13.95-1mdv2008.1
+ Revision: 102802
- New version 1.13.95

* Fri Oct 19 2007 Funda Wang <fundawang@mandriva.org> 1.13.94-2mdv2008.1
+ Revision: 100168
- Obsoletes old devel package

* Wed Oct 17 2007 Funda Wang <fundawang@mandriva.org> 1.13.94-1mdv2008.1
+ Revision: 99569
- New major
- Updated to svn 1628
- updated to svn release to fix build
- New version 1.13.94

* Wed Aug 22 2007 Funda Wang <fundawang@mandriva.org> 1.13.0-1mdv2008.0
+ Revision: 68852
- New version 1.13.0

* Tue Aug 14 2007 Funda Wang <fundawang@mandriva.org> 1.12.94-1mdv2008.0
+ Revision: 63191
- New version 1.12.94

* Tue Aug 07 2007 Funda Wang <fundawang@mandriva.org> 1.12.93-2mdv2008.0
+ Revision: 59765
- renew patch from svn
- Add patch to build on 64 bit machines
- New testing version 1.12.93
- br doxygen and dot
- fix file list
- Use cmake macro
- BR cmake
- New version 1.12.0

* Tue Apr 17 2007 Erwan Velu <erwan@mandriva.org> 1.10.0-1mdv2008.0
+ Revision: 14119
- 1.10


* Tue Dec 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.09.00-1mdv2007.0
+ Revision: 91306
- New version 1.09.00

* Mon Nov 13 2006 Lenny Cartier <lenny@mandriva.com> 1.08.00-1mdv2007.1
+ Revision: 83580
- Update to 1.08.00
- Import gammu

* Sat Jun 17 2006 Austin Acton <austin@mandriva.org> 1.07.00-1mdv2007.0
- Rebuild

* Tue Jun 13 2006 Lenny Cartier <lenny@mandriva.com> 1.07.00-1mdv2007.0
- 1.07.00

* Thu Apr 20 2006 Lenny Cartier <lenny@mandriva.com> 1.06.00-1mdk
- 1.06.00

* Mon Mar 13 2006 Lenny Cartier <lenny@mandriva.com> 1.05.00-1mdk
- 1.05.00

* Fri Dec 02 2005 Lenny Cartier <lenny@mandriva.com> 1.03.20-1mdk
- 1.03.20

* Fri Oct 14 2005 Lenny Cartier <lenny@mandriva.com> 1.02.25-1mdk
- 1.02.25

* Tue Oct 04 2005 Lenny Cartier <lenny@mandriva.com> 1.02.20-1mdk
- 1.02.20

* Sat Oct 01 2005 Lenny Cartier <lenny@mandriva.com> 1.02.16-1mdk
- 1.02.16

* Tue Aug 23 2005 Erwan Velu <velu@seanodes.com> 1.02-1mdk
- 1.02

* Sat Jun 18 2005 Erwan Velu <velu@seanodes.com> 1.01.11-2mdk
- Fixing conflict

* Thu May 12 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.01.11-1mdk
- 1.01.11

* Thu Apr 14 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.01.0-1mdk
- 1.01.0

* Tue Mar 01 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.00.10-1mdk
- 1.00.10

* Mon Feb 21 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.00.04-1mdk
- 1.00.04

* Wed Feb 09 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.00.0-1mdk
- 1.00.0

* Mon Jan 24 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.99.22-1mdk
- 0.99.22

* Tue Oct 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.99.0-1mdk
- 0.99.0

* Sat Sep 25 2004 Erwan Velu <erwan@mandrakesoft.com> 0.98.0-1mdk
- Initial mdk package

